.
Results 1 to 8 of 8

Thread: Blender 2.80 and TANE

  1. #1
    Join Date
    Sep 2014
    Location
    Wyoming, Pennsylvania
    Posts
    1,459
     

    Question Blender 2.80 and TANE

    Today I decided to take a look at Blender 2.0. I downloaded it and installed into it's own folder. For some reason it removed Blender 2.79b version from my system. I tried to reinstall Blender 2.79b, a message pops up telling me that I have a newer version of Blender installed and it terminates the 2.79b install. Oh well I guess it's time to look into 2.8. I see that I would need to export models in the new FBX format. I'm currently looking for some kind of tutorial that will show me the export process in Blender 2.8, but all that I see are tutorial using the PBR texturing. Since I'm still using TANE, I have no need for learning the PBR texturing process. I need to find a simple tutorial that explains the process from Blender (FBX) to TANE.

    Are there any tutorials out there that can help?
    Scott
    BlackDiamond1964
    BDWorkshop

  2. #2
    Join Date
    Sep 2014
    Location
    Wyoming, Pennsylvania
    Posts
    1,459
     

    Default

    I posted this in the wrong forum...Sometimes I can't do anything right! Mods move to the proper location please.
    Scott
    BlackDiamond1964
    BDWorkshop

  3. #3
    Join Date
    Jun 2008
    Location
    Great Britain
    Posts
    2,611
     

    Default

    Because of the change in Blender's rendering engine the way you export is different. Currently only PBR expiry has been figured out.

    If you download the zip version of Blender instead of the installer you can have multiple versions installed simultaneously.


  4. #4
    Join Date
    Sep 2014
    Location
    Wyoming, Pennsylvania
    Posts
    1,459
     

    Default

    Quote Originally Posted by edh6 View Post
    Because of the change in Blender's rendering engine the way you export is different. Currently only PBR expiry has been figured out.

    If you download the zip version of Blender instead of the installer you can have multiple versions installed simultaneously.
    Thanks. I had a feeling that was the case. Back to 2.79b for me.
    Scott
    BlackDiamond1964
    BDWorkshop

  5. #5
    Join Date
    Nov 2006
    Location
    St Remy du Provence, France (on holiday)
    Posts
    7,998
    Blog Entries
    30
     

    Default

    Quote Originally Posted by BlackDiamond1964 View Post
    Thanks. I had a feeling that was the case. Back to 2.79b for me.
    FWIW, that would be my recommendation. I wrote the Blender 2.8 tutorial and am still looking for a solution for exporting the older materials (onetex, tbumpenv. etc). I'm about to go on holidays for 6 weeks so any solution will be a while unless someone else finds one.

    PBR is very nice but the learning curve is a bit steep and can be expensive. I'm of the view that new paint addons will appear for Blender that Trainz creators can use. All the various parts/requirements seem to be there but it needs packaging into an addon that is easy to use.

    Paul


  6. #6
    Join Date
    Sep 2014
    Location
    Wyoming, Pennsylvania
    Posts
    1,459
     

    Default

    I wonder if there are any computer wiz kids that can get the old exporter working? 2.8 look very interesting to try.
    Scott
    BlackDiamond1964
    BDWorkshop

  7. #7
    Join Date
    Nov 2006
    Location
    St Remy du Provence, France (on holiday)
    Posts
    7,998
    Blog Entries
    30
     

    Default

    See my comments in the Blender 2.8 tutorial discussion in the Content Creators forum. It looks as if you can create older style materials in Blender 2.8. I'm not sure about the gloss versions.

    The Trainz XML exporter is marked as needing an update by Blender 2.80 and I think it uses deprecated Blender API functions. Some of my homegrown addons are also broken.

    I'm not sure there is any great value in fixing the XML exporter. Going to FBX was a move to industry standards and to reduce maintenance costs both for N3V and Trainz supporters. There are many free FBX viewers and editors and, while most don't recognise the Trainz materials, they are useful for mesh checking.

    I may have a look at the XML exporter as I'm curious and I have to fix my addons anyway. But it won't be for several weeks.

    That said, there is nothing wrong with Blender 2.79b and we've been told that Trainz will support IM for the foreseeable future. Most of the assets on the the DLS are IM.

    Paul


  8. #8
    Join Date
    Sep 2014
    Location
    Wyoming, Pennsylvania
    Posts
    1,459
     

    Default

    Quote Originally Posted by pcas1986 View Post

    I may have a look at the XML exporter as I'm curious and I have to fix my addons anyway. But it won't be for several weeks.

    That said, there is nothing wrong with Blender 2.79b and we've been told that Trainz will support IM for the foreseeable future. Most of the assets on the the DLS are IM.
    If you fix it...I will be happy to test it.
    Scott
    BlackDiamond1964
    BDWorkshop

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •